Skip to main content
`Ctrl`+`K`

# PCHYPRESetEdgeConstantVectors

Set the representation of the constant vector fields in the edge element basis for `PCHYPRE` of type ams

## Synopsis

    #include "petscpc.h"
    PetscErrorCode PCHYPRESetEdgeConstantVectors(PC pc, Vec ozz, Vec zoz, Vec zzo)

Collective

## Input Parameters

- pc - the preconditioning context

- ozz - vector representing (1,0,0) (or (1,0) in 2D)

- zoz - vector representing (0,1,0) (or (0,1) in 2D)

- zzo - vector representing (0,0,1) (use NULL in 2D)

## Developer Notes

If this is only for `PCHYPRE` type of ams it should be called `PCHYPREAMSSetEdgeConstantVectors()`

## See Also

KSP: Linear System Solvers, `PCHYPRE`, `PCHYPRESetDiscreteGradient()`, `PCHYPRESetDiscreteCurl()`, `PCHYPRESetAlphaPoissonMatrix()`

## Level

intermediate

## Location

src/ksp/pc/impls/hypre/hypre.c

## Implementations

PCHYPRESetEdgeConstantVectors_HYPRE() in src/ksp/pc/impls/hypre/hypre.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages